List the logged-in user’s wallet transactions
using System.Net.Http.Headers;var clientHandler = new HttpClientHandler{ UseCookies = false,};var client = new HttpClient(clientHandler);var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.ethos.network/api/v2/wallets/transactions?limit=50¤cy=eth&scope=all"), Headers = { { "cookie", "ethos-access-token=<ethos-access-token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/wallets/transactions?limit=50¤cy=eth&scope=all"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "ethos-access-token=<ethos-access-token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/wallets/transactions?limit=50¤cy=eth&scope=all") .get() .addHeader("cookie", "ethos-access-token=<ethos-access-token>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.ethos.network/api/v2/wallets/transactions', params: {limit: '50', currency: 'eth', scope: 'all'}, headers: {cookie: 'ethos-access-token=<ethos-access-token>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/wallets/transactions?limit=50¤cy=eth&scope=all';const options = { method: 'GET', headers: {cookie: 'ethos-access-token=<ethos-access-token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/wallets/transactions";
let querystring = [ ("limit", "50"), ("currency", "eth"), ("scope", "all"), ];
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("cookie", "ethos-access-token=<ethos-access-token>".parse().unwrap());
let client = reqwest::Client::new(); let response = client.get(url) .query(&querystring) .headers(headers) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url 'https://api.ethos.network/api/v2/wallets/transactions?limit=50¤cy=eth&scope=all' \ --cookie ethos-access-token=<ethos-access-token>wget --quiet \ --method GET \ --header 'cookie: ethos-access-token=<ethos-access-token>' \ --output-document \ - 'https://api.ethos.network/api/v2/wallets/transactions?limit=50¤cy=eth&scope=all'Returns the logged-in user’s on-chain transactions, newest first. Covers reputation-market buys and sells and vouch deposits and withdrawals, each with the market’s or vouch’s subject. scope is the Ethos Everywhere wallet alone (the default) or every address of the profile; currency narrows to one token. > ⚠️ Warning: This is a beta endpoint. It is not guaranteed to be stable and may change or break without notice.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful response
object
object
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
0x-prefixed 32-byte transaction hash (keccak256)
Example
{ "values": [ { "action": "market_buy", "currency": "eth", "side": "distrust", "subject": { "status": "ACTIVE", "humanVerificationStatus": "REQUESTED", "stats": { "vouchTotals": [ { "token": { "id": "eth" } } ], "whufGuarantee": { "status": "active" } } } } ]}Invalid input data
The error information
object
The error message
The error code
An array of issues that were responsible for the error
object
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Authorization not provided
The error information
object
The error message
The error code
An array of issues that were responsible for the error
object
Example
{ "code": "UNAUTHORIZED", "message": "Authorization not provided", "issues": []}Insufficient access
The error information
object
The error message
The error code
An array of issues that were responsible for the error
object
Example
{ "code": "FORBIDDEN", "message": "Insufficient access", "issues": []}Not found
The error information
object
The error message
The error code
An array of issues that were responsible for the error
object
Example
{ "code": "NOT_FOUND", "message": "Not found", "issues": []}Internal server error
The error information
object
The error message
The error code
An array of issues that were responsible for the error
object
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}